Magick++ 7.1.0

Public Member Functions | List of all members
Magick::PathLinetoRel Class Reference

`#include <Drawable.h>`

Inheritance diagram for Magick::PathLinetoRel:
[legend]
Collaboration diagram for Magick::PathLinetoRel:
[legend]

## Public Member Functions
| PathLinetoRel (const Magick::Coordinate &coordinate_)
| PathLinetoRel (const CoordinateList &coordinates_)
| PathLinetoRel (const PathLinetoRel &original_)
| ~PathLinetoRel (void)
void | operator() (MagickCore::DrawingWand *context_) const
VPathBase * | copy () const
Public Member Functions inherited from Magick::VPathBase
| VPathBase (void)
virtual | ~VPathBase (void)

## Detailed Description

Definition at line 2947 of file Drawable.h.

## Constructor & Destructor Documentation

## ◆ PathLinetoRel() [1/3]

Magick::PathLinetoRel::PathLinetoRel | ( | const Magick::Coordinate & | coordinate_ | ) |

Definition at line 2348 of file Drawable.cpp.

## ◆ PathLinetoRel() [2/3]

Magick::PathLinetoRel::PathLinetoRel | ( | const CoordinateList & | coordinates_ | ) |

Definition at line 2352 of file Drawable.cpp.

## ◆ PathLinetoRel() [3/3]

Magick::PathLinetoRel::PathLinetoRel | ( | const PathLinetoRel & | original_ | ) |

Definition at line 2356 of file Drawable.cpp.

## ◆ ~PathLinetoRel()

Magick::PathLinetoRel::~PathLinetoRel | ( | void |  | ) |

Definition at line 2361 of file Drawable.cpp.

## Member Function Documentation

## ◆ copy()

Magick::VPathBase * Magick::PathLinetoRel::copy | ( |  | ) | const
| virtual

Implements Magick::VPathBase.

Definition at line 2372 of file Drawable.cpp.

## ◆ operator()()

void Magick::PathLinetoRel::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const
| virtual

Implements Magick::VPathBase.

Definition at line 2364 of file Drawable.cpp.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp